---
layout: default
---

<b>[main](./)</b>

## Ontologies 

Please check out the ontologies here:

<h3>Version 1.0</h3> is the first version of NonFoodKG.<br>
<h3>Version 1.1</h3> has some minor fixes and integrates a content trust feature based on the <a href="http://trdf.sourceforge.net/trustvocab.owl">tRDF</a> trust vocabulary in combination with a classification of data sources as <a href="http://www.ontologydesignpatterns.org/ont/dul/DUL.owl">DUL information objects</a><br>
<h3>Version 1.2</h3> links NonFoodKG to FoodKG and integrates the KnowRob product taxonomy. New ontologies like nutrition ontology and brand info ontology are also linked to NonFoodKG.<br>
<h3>Version 1.3</h3> changes namespaces in all files from knowrob/kg/ to the permanent URL namespace purl.org/NonFoodKG/.<br><hr>
<h3>Version 2.0</h3> integrates the food product taxonomy from <a href="foodon.org/">FoodOn</a>, seperates food ingredients in recipes (coming soon) from non-food ingredients in non-food products, integrates an extensive food product nutrition ontology that uses FoodOn classification and <a href="https://fdc.nal.usda.gov/fdc-app.html#/">FDC data</a> and adds a user profile ontology to be used in various applications.<br>

<hr>

<table> 
  <tr>
    <td style="width:15%;"><b>Version 1.0</b></td><td style="width:15%;"><b>Version 1.1</b></td><td style="width:15%;"><b>Version 1.2</b></td><td style="width:20%;"><b>Version 1.3</b></td><td style="width:20%;"><b>Version 2.0</b></td> </tr>
<tr>
  <td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/1.0/ProductTaxonomy.owl">Product Taxonomy</a></td>
  <td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/1.1/ProductTaxonomy.owl">Product Taxonomy</a></td>
  <td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/1.2/product-taxonomy.owl">Product Taxonomy</a></td>
  <td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/1.3/product-taxonomy.owl">Product Taxonomy</a></td>
  <td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/2.0/product-taxonomy.owl">Product Taxonomy</a><hr>
  <a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/2.0/linkFoodOn.owl">link to FoodOn</a></td>
  </tr>
<tr>
<td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/1.0/Ingredients.owl">Ingredients Ontology</a></td>
<td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/1.1/Ingredients.owl">Ingredients Ontology</a></td>
<td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/1.2/ingredients.owl">Ingredients Ontology</a></td>
<td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/1.3/ingredients.owl">Ingredients Ontology</a></td>
<td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/2.0/nonfood-ingredient.owl">non-food Ingredients Ontology</a></td>
  </tr>
  <tr>
<td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/1.0/Allergen.owl">Allergen Ontology</a></td>
<td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/1.1/Allergen.owl">Allergen Ontology</a></td>
<td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/1.2/allergen.owl">Allergen Ontology</a></td>
<td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/1.3/allergen.owl">Allergen Ontology</a></td>
<td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/2.0/allergen.owl">Allergen Ontology</a></td>
  </tr>
  <tr>
<td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/1.0/ProductInfo.owl">Product Information (nutrition) Ontology</a></td>
<td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/1.1/ProductInfo.owl">Product Information (nutrition) Ontology</a></td>
<td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/1.2/nutrition.owl">Product nutrition Ontology</a></td>
<td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/1.3/nutrition.owl">Product nutrition Ontology</a></td>
    <td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/2.0/symptom-nutrition.owl">symptom to nutrition</a><hr>
      <a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/2.0/nutrition.owl">nutrition Ontology</a><hr>
      <a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/2.0/food-nutrition.zip">nutrition to food (zipped)</a></td>
  </tr>
  <tr>
<td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/1.0/Label.owl">Product Label Ontology</a></td>
<td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/1.1/Label.owl">Product Label Ontology</a></td>
<td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/1.2/label.owl">Product Label Ontology</a></td>
<td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/1.3/label.owl">Product Label Ontology</a></td>
    <td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/2.0/label.owl">Product Label Ontology</a></td>
</tr>
  <tr>
<td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/1.0/ProductDimensions.owl">Product Dimensions Ontology</a></td>
<td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/1.1/ProductDimensions.owl">Product Dimensions Ontology</a></td>
<td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/1.2/dimensions.owl">Product Dimensions Ontology</a></td>
<td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/1.3/dimensions.owl">Product Dimensions Ontology</a></td>
    <td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/2.0/dimension.owl">Product Dimensions Ontology</a></td>
  </tr>
  <tr>
<td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/1.0/ProductToShelf.owl">Product Location Ontology</a></td>
<td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/1.1/ProductToShelf.owl">Product Location Ontology</a></td>
<td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/1.2/location.owl">Product Location Ontology</a></td>
<td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/1.3/location.owl">Product Location Ontology</a></td>
    <td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/2.0/location.owl">Product Location Ontology</a></td>
  </tr>
    <tr>
<td></td>
<td></td>
<td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/1.2/brandinfo.owl">Product Brand Ontology</a></td>
<td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/1.3/brandinfo.owl">Product Brand Ontology</a></td>
      <td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/2.0/brandinfo.owl">Product Brand Ontology</a></td>
  </tr>
      <tr>
<td></td>
<td></td>
<td></td>
<td></td>
      <td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/2.0/packaging.owl">packaging & recycling</a></td>
  </tr>
    <tr>
<td></td>
<td></td>
<td></td>
<td></td>
      <td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/2.0/user-profile.owl">user profile</a></td>
  </tr>
      <tr>
<td></td>
<td></td>
<td></td>
<td></td>
      <td><a href="https://raw.githubusercontent.com/K4R-IAI/NonFoodKG/master/WebGraph/2.0/quantity.owl">quantity classification</a></td>
  </tr>
  </table>
  
  For applications like recipe recommendations in version 1.3 you will additionally need the FoodKG files (<a href="https://raw.githubusercontent.com/foodkg/foodkg.github.io/master/ontologies/WhatToMake.rdf">FoodKG upper ontology</a> and <a href="https://raw.githubusercontent.com/foodkg/foodkg.github.io/master/ontologies/WhatToMake_Individuals.rdf">FoodKG ingredients for recipes</a>).<br>
  In version 2.1 we will have our own recipe files.

  <b>[main](./)</b>
